> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revyops.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Activity

> One activity with its properties and the contacts, people and companies it is linked to. Find activity IDs with the filter engine (the id column of an activity entity).



## OpenAPI

````yaml GET /public/activities/{activity_id}/
openapi: 3.0.3
info:
  title: RevyOps API
  version: 1.0.0
servers:
  - url: https://app.revyops.com/api
security:
  - ApiKeyAuth: []
paths:
  /public/activities/{activity_id}/:
    get:
      tags:
        - public
      description: >-
        One activity with its properties and the contacts, people and companies
        it is linked to. Find activity IDs with the filter engine (the id column
        of an activity entity).
      operationId: Get activity
      parameters:
        - in: path
          name: activity_id
          schema:
            type: string
            pattern: ^[0-9]+$
          required: true
      responses:
        '200':
          description: No response body
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.